Skip to content

Toggle an authenticated or anonymous public feedback emoticon reaction​

POST
/s/{slug}/feedback/{feedbackId}/reaction

A valid signed user token takes precedence. Anonymous callers provide a stable site-scoped visitor ID and are not subscribed to feedback updates.

Authorizations​

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters​

Header Parameters

X-User-Token

Signed customer JWT with role admin or user

Type
string
X-Managani-Visitor-ID

Required when no valid signed user token is supplied.

Type
string
Min Length
16
Max Length
200

Path Parameters

slug*
Type
string
Required
feedbackId*
Type
string
Required

Request Body​

application/json
JSON
{
  
"icon": "string"
}

Responses​

OK

Playground​

Authorization
Headers
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI